#
# spec file for package perl-Pod-AsciiDoctor
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Pod-AsciiDoctor
Version:        0.1
Release:        bp156.2.1
#Upstream:  This program is free software; you can redistribute it and/or modify it under the terms of the the Apache License (2.0). You can get a copy of the license at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
%define cpan_name Pod-AsciiDoctor
Summary:        Convert from POD to AsciiDoc
License:        Apache-2.0
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BA/BALA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  perl(Pod::Parser)
# MANUAL END

%description
Convert from POD to AsciiDoc

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.adoc
%license LICENSE.md

%changelog
* Sat Nov 28 2020 Dirk Stoecker <opensuse@dstoecker.de>
- fix build, regenerate spec-file
* Tue Jan  3 2017 coolo@suse.com
- updated to 0.1
  see /usr/share/doc/packages/perl-Pod-AsciiDoctor/Changes
* Mon Jan  2 2017 coolo@suse.com
- initial package 0.03
  * created by cpanspec 1.78.08
